@echo off
::
:: Usage:  RestoreResources %1 [Resource path]
:: %1 is the backup folder eg. F:\resourcebackup (use quotes if name has spaces)
:: [Resource path] is required for resources in non-default location eg. "D:\DLS Resources"
::
:: Windows XP/2k and Vista/Win7
:: D. Hooton February 2009
::

set pFile=%1
If %1!==! goto MISSING
echo %1 | Find "\\" > nul
If %ErrorLevel% EQU 0 echo Finding backup folder on network...
If not EXIST %1 goto MISSING

echo.
echo Backup folder is %1
echo.

:: Get path variables from GetPaths, but they
:: can be over-ridden from the command line.

Call GetPaths -i
set "RESOURCES=%Libronix%\Resources"

If %2!==! goto CHECK
set pFile=%2
set RESOURCES=%~2
If not EXIST "%RESOURCES%" goto MISSING

:CHECK
rem Check permissions from *installed* path
Call :Chkperm "%Libronix%\Resources"
If %Error%==1 (
   echo.
   echo ERROR: You have to be an LDLS Administrator to run this script
   goto EXIT)

:RESTORE
rem /E keeps Extra files & copies empty folders, /XO excludes Older files
rem /A-:R = remove RO attribute, /R:0 = retry 0
rem /FFT = 2 sec file time tolerance, /DST = allow for Daylight Saving

If %Vista%==1 (
   set "DST=/DST"
) else (
   set "DST="
)
echo.
echo Restoring Resources to %RESOURCES%...
ROBOCOPY  %1\Resources "%RESOURCES%"  /E /XO /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

goto EXIT


::::::::::::::::::::::::::::::::::::::::::::
:: Routine to check folder permissions
::::::::::::::::::::::::::::::::::::::::::::

:Chkperm
set Error=0

:: Check for NTFS file system
CACLS %1 > nul
If %Errorlevel% EQU 1 (
   goto :EOF)
If %Errorlevel% NEQ 0 (
   set Error=1
   goto :EOF)

:: Check if User has ACE's
CACLS %1 | Find /i "%USERNAME%:" > nul
If %Errorlevel% NEQ 0 (
   set Error=1)
goto :EOF

::
::  end routine
::


:MISSING
echo.
If %pFile%!==! (
   echo ERROR: Invalid or no folder name
) else (    
   echo ERROR: %pFile% cannot be found or is invalid
)

:EXIT
echo.
echo Press any key ...
PAUSE >nul
